﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Vektory
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        const int Max = 10;

        int pocetPrvku; // aktualni pocet prvku

        int minHodnota = 1; // minimalni hodnota pro generovani prvku
        int maxHodnota = 100;

        Random rnd = new Random(); //nova instance pro generovani nah. cisel

        int[] pole; 

        public MainWindow()
        {           
            InitializeComponent();
            Reset();
        }

        public void Reset()
        {
            pocetPrvku = Max;
            pole = new int[pocetPrvku];

            TxtPocetPrvku.Text = pocetPrvku.ToString();
            TxtMinHodnota.Text = minHodnota.ToString();
            TxtMaxHodnota.Text = maxHodnota.ToString();
            BtnDoMrizky.IsEnabled = false;
            BtnVektorJakoText.IsEnabled = false;
        }

        void NahodnePole ()
        {
            for (int i = 0; i < pocetPrvku; i++)
                pole[i] = rnd.Next(minHodnota, maxHodnota +1);
        }

        void VypisDoListView ()
        {
            LstVektor.ItemsSource = null;
            LstVektor.ItemsSource = pole;
        }

        string PoleNaText()
        {
            string vystup = "Vektor: " + pole[0];

            for (int i = 1; i < pocetPrvku; i++)
                vystup = vystup + ", " + pole[i];

            return vystup;

        }

        private void BtnNahodne_Click(object sender, RoutedEventArgs e)
        {
            NahodnePole();
            BtnDoMrizky.IsEnabled = true;
            BtnVektorJakoText.IsEnabled = true;
            //    MessageBox.Show(pole[0].ToString());
        }

        private void BtnDoMrizky_Click(object sender, RoutedEventArgs e)
        {
            VypisDoListView();
        }

        private void BtnVektorJakoText_Click(object sender, RoutedEventArgs e)
        {
          //  TxtVysledek.Text = PoleNaText();
            TxtVysledek.Text = "Vektor: " + String.Join(",", pole);

        }
    }
}
